Bug 2507 - incompatible type in rpcclient/cmd_spoolss.c
Summary: incompatible type in rpcclient/cmd_spoolss.c
Status: CLOSED FIXED
Alias: None
Product: Samba 3.0
Classification: Unclassified
Component: smbclient (show other bugs)
Version: 3.0.12
Hardware: SGI IRIX
: P3 normal
Target Milestone: none
Assignee: Samba Bugzilla Account
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-21 14:07 UTC by Jason Mader (mail bounces back)
Modified: 2005-08-24 10:23 UTC (History)
0 users

See Also:


Attachments
changes "const char *" to "char *" (766 bytes, patch)
2005-03-21 14:15 UTC, Jason Mader (mail bounces back)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader (mail bounces back) 2005-03-21 14:07:48 UTC
Compiling rpcclient/cmd_spoolss.c
cc-1164 cc: WARNING File = rpcclient/cmd_spoolss.c, Line = 1291
  Argument of type "const char *" is incompatible with parameter of type "char *"
          .

        ptr = strtok(str, delim);
                     ^
Comment 1 Jason Mader (mail bounces back) 2005-03-21 14:15:58 UTC
Created attachment 1060 [details]
changes "const char *" to "char *"

The patch eliminates the warning, and makes "str" and "args" which are
eventually passed to strtok() match the type on the first argument to strtok().
Comment 2 Gerald (Jerry) Carter 2005-03-22 07:20:09 UTC
fixed.  slightly different patch.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:23:46 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.